## NAME

CURLOPT_OPENSOCKETDATA - custom pointer passed to open socket callback

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_OPENSOCKETDATA, void *pointer);

## DESCRIPTION

Pass a pointer that will be untouched by libcurl and passed as the first argument in the opensocket callback set with CURLOPT_OPENSOCKETFUNCTION.

## DEFAULT

The default value of this parameter is NULL.

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.17.1

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_OPENSOCKETFUNCTION, CURLOPT_SOCKOPTFUNCTION

This HTML page was made with roffit.